# Abort an order Mark an order as aborted. Endpoint: POST /checkout/v3/orders/{order_id}/abort Version: 1.0.0 ## Path parameters: - `order_id` (string, required) ## Response 200 fields (*/*): - `order_id` (string) Unique order ID that will be used for the entire lifecycle of the order. (max 255 characters) Example: "f3392f8b-6116-4073-ab96-e330819e2c07" - `name` (string) The merchant name (max 255 characters). Example: "Women's Fashion" - `purchase_country` (string, required) The purchase country of the merchant's store. The format to be used is ISO 3166 alpha-2. Eg: GB, SE, DE, US, etc. Note: purchase country and currency need to match the defined merchant configuration. For global configuration see more details [here](../checkout/use-cases/selling-to-multiple-countries.md) Example: "US" - `purchase_currency` (string, required) The purchase currency of the merchant's store. The format to be used is ISO 4217. Eg: USD, EUR, SEK, GBP, etc. Note: purchase country and currency need to match the defined merchant configuration. For global configuration see more details [here](../checkout/use-cases/selling-to-multiple-countries.md) Example: "USD" - `locale` (string, required) Used to define the language and region of the customer. RFC 1766 customer's locale. Example: "en-US" - `status` (string) The current status of the order. The status will be ‘incomplete’ until the customer has been successfully authorized. Example: "CHECKOUT_INCOMPLETE" - `billing_address` (object) - `billing_address.given_name` (string) Given name. Example: "John" - `billing_address.family_name` (string) Family name. Example: "Doe" - `billing_address.email` (string) E-mail address. Example: "john@doe.com" - `billing_address.title` (string) Title.Valid values for UK:MrMsMrsMissValid values for DACH:HerrFrauValid values for NL:Dhr.Mevr. Example: "Mr" - `billing_address.street_address` (string) Street address, first line. (Street name and number) Example: "Lombard St 10" - `billing_address.street_address2` (string) Street address, second line. (Apartment number, suite, etc.) Example: "Apt 214" - `billing_address.street_name` (string) Street name. Only applicable in DE/AT/NL. Do not combine with street_address. See streetNumber. Example: "Lombard St" - `billing_address.street_number` (string) Street number. Only applicable in DE/AT/NL. Do not combine with street_address. See streetName. Example: "10" - `billing_address.house_extension` (string) House extension. Only applicable in NL Example: "B" - `billing_address.postal_code` (string) Postal/post code. Example: "90210" - `billing_address.city` (string) City. Example: "Beverly Hills" - `billing_address.region` (string) State or Region. Example: "CA" - `billing_address.phone` (string) Phone number. Example: "333444555" - `billing_address.country` (string) ISO 3166 alpha-2. Country. Example: "US" - `billing_address.care_of` (string) Care of. Example: "C/O" - `shipping_address` (object) - `order_amount` (integer, required) Total amount of the order including tax and any available discounts. The value should be in non-negative minor units. Example: 25 Euros should be 2500. Example: 50000 - `order_tax_amount` (integer, required) Total tax amount of the order. The value should be in non-negative minor units. Example: 25 Euros should be 2500. Example: 4545 - `order_lines` (array, required) An array containing list of line items that are part of this order. Maximum of 1000 line items could be processed in a single order. - `order_lines.type` (string) Type of the order line item. The possible values are:physical (physical good)discountshipping_feesales_tax (depends on the country/city, usually called VAT)digital (digital good)gift_cardstore_credit (credit from the merchant)surcharge (extra charge) Example: "physical" - `order_lines.reference` (string) Article number, SKU or similar. (max 255 characters) Example: "19-402-USA" - `order_lines.name` (string, required) Descriptive name of the order line item (max 255 characters) Example: "Red T-Shirt" - `order_lines.quantity` (integer, required) Non-negative number. Quantity of the order line item. Example: 5 - `order_lines.subscription` (object) - `order_lines.subscription.name` (string) The name of the subscription product. Example: "Premium Account" - `order_lines.subscription.interval` (string, required) The cadence unit for this. Example: "DAY" Enum: "DAY", "WEEK", "MONTH", "YEAR" - `order_lines.subscription.interval_count` (integer, required) The number of intervals. Example: 30 - `order_lines.quantity_unit` (string) Unit used to describe the quantity, e.g. kg, pcs... If defined has to be 1-8 characters Example: "pcs" - `order_lines.unit_price` (integer, required) Minor units. Includes tax, excludes discount. (max value: 100000000). Example: 100 Euros should be 10000. Example: 10000 - `order_lines.tax_rate` (integer, required) Non-negative value. The percentage value is represented with two implicit decimals. (max 10000) Example: 25% should be 2500. Example: 1000 - `order_lines.total_amount` (integer, required) Minor units. Includes tax and discount. Example: 25 euros should be 2500 Value = (quantity x unit_price) - total_discount_amount. (max value: 100000000) Example: 50000 - `order_lines.total_discount_amount` (integer) Non-negative minor units. Includes tax. Example: 25 euros should be 2500 - `order_lines.total_tax_amount` (integer, required) Must be within ±1 of total_amount - total_amount \* 10000 / (10000 + tax_rate). Negative when type is discount. Example: 4545 - `order_lines.merchant_data` (string) Property used to store additional metadata per item that will be returned whenever an order is read from Kustom. Pass through field. (max 1024 characters). Example: "{\"marketplace_seller_info\":[{\"product_category\":\"Women's Fashion\",\"product_name\":\"Women Sweatshirt\"}]}" - `order_lines.product_url` (string) URL to the product page that can be later embedded in communications between Kustom and the customer. (max 1024 characters) Example: "https://www.example.com/products/f2a8d7e34" - `order_lines.image_url` (string) URL to an image that can be later embedded in communications between Kustom and the customer. (max 1024 characters) Improves post-purchase customer experiences. Example: "https://www.exampleobjects.com/product-image-1200x1200.jpg" - `order_lines.product_identifiers` (object) - `order_lines.product_identifiers.brand` (string) The product's brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Example: "Intel" - `order_lines.product_identifiers.color` (string) Color to be shown to the end customer (max 64 characters). Example: "Blue" - `order_lines.product_identifiers.category_path` (string) The product's category path as used in the merchant's webshop. Include the full and most detailed category and separate the segments with ' > '. (max 750 characters) Example: "Electronics Store > Computers & Tablets > Desktops" Example: "Electronics Store > Computers & Tablets > Desktops" - `order_lines.product_identifiers.global_trade_item_number` (string) The product's Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible Example: "735858293167" - `order_lines.product_identifiers.manufacturer_part_number` (string) The product's Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible Example: "BOXNUC5CPYH" - `order_lines.product_identifiers.size` (string) Size to be shown to the end customer (max 64 characters). Example: "Medium" - `order_lines.shipping_attributes` (object) - `order_lines.shipping_attributes.weight` (integer) The product's weight as used in the merchant's webshop. Non-negative. Measured in grams. Example: 1000 - `order_lines.shipping_attributes.dimensions` (object) - `order_lines.shipping_attributes.dimensions.height` (integer) The product's height as used in the merchant's webshop. Non-negative. Measured in millimeters. Example: 100 - `order_lines.shipping_attributes.dimensions.width` (integer) The product's width as used in the merchant's webshop. Non-negative. Measured in millimeters. Example: 100 - `order_lines.shipping_attributes.dimensions.length` (integer) The product's length as used in the merchant's webshop. Non-negative. Measured in millimeters. Example: 100 - `order_lines.shipping_attributes.tags` (array) The product's extra features, example ["dangerous_goods", "bulky"] - `customer` (object) - `customer.type` (string) The default supported value is 'person'. If B2B is enabled for the merchant, the value may be "organization". Example: "person" - `customer.gender` (string) Customer’s gender - ‘male’ or ‘female’. Example: "male" - `customer.date_of_birth` (string) Customer’s date of birth. The format is ‘yyyy-mm-dd’. ISO 8601 date. Example: "1995-10-20" - `customer.organization_registration_id` (string) "The organization's official registration id (organization number). Note: Applicable only for B2B orders." Example: "556737-0431" - `customer.vat_id` (string) Organization VAT ID. Only applies for b2b orders. - `merchant_urls` (object) - `merchant_urls.terms` (string, required) URL for the terms and conditions page of the merchant. The URL will be displayed inside the Kustom Checkout iFrame.(max 2000 characters) Example: "https://merchant.com/terms" Example: "https://www.example.com/terms.html" - `merchant_urls.checkout` (string, required) URL for the checkout page of the merchant. (max 2000 characters) Example: "https://merchant.com/checkout" Example: "https://www.example.com/checkout.html" - `merchant_urls.confirmation` (string, required) URL of the merchant confirmation page. The consumer will be redirected back to the confirmation page if the authorization is successful after the customer clicks on the ‘Place Order’ button inside checkout. The special characters of the confirmation URL should be encoded, e.g. the "space" character should be written as "%20". Then, on top of that, the whole confirmation URL should be encoded. E.g. the "space" character should become "%2520". (max 2000 characters) Example: "https://merchant.com/confirmation" Example: "https://www.example.com/confirmation.html" - `merchant_urls.push` (string, required) URL that will be used for push notification when an order is completed. Should be different than checkout and confirmation URLs. (max 2000 characters) Example: "https://merchant.com/push" Example: "https://www.example.com/api/push" - `merchant_urls.validation` (string) URL that will be requested for final merchant validation. (must be https, max 2000 characters) Example: "https://merchant.com/validation" Example: "https://www.example.com/api/validation" - `merchant_urls.notification` (string) URL for notifications on pending orders. (max 2000 characters) Example: "https://merchant.com/notification/{checkout.order.id}" Example: "https://www.example.com/api/pending" - `merchant_urls.cancellation_terms` (string) URL for the cancellation terms page of the merchant. The URL will be displayed in the email that is sent to the customer after the order is captured.(max 2000 characters) Example: "https://merchant.com/terms/cancelation" Example: "https://www.example.com/terms/cancellation.html" - `merchant_urls.shipping_option_update` (string) URL for shipping option update. (must be https, max 2000 characters) Example: "https://merchant.com/shippingoptionupdate" Example: "https://www.example.com/api/shipment" - `merchant_urls.address_update` (string) URL for shipping, tax and purchase currency updates. Will be called on address changes. (must be https, max 2000 characters) Example: "https://merchant.com/addressupdate" Example: "https://www.example.com/api/address" - `merchant_urls.country_change` (string) URL for shipping, tax and purchase currency updates. Will be called on billing or shipping country changes. (must be https, max 2000 characters) Example: "https://merchant.com/countrychange" Example: "https://www.example.com/api/country" - `html_snippet` (string) The HTML snippet that is used to render the checkout in an iframe. Example: "
" - `merchant_reference1` (string) Used for storing merchant's internal order number or other reference. If set, will be shown on the confirmation page as "order number" . The value is also available in the settlement files. (max 255 characters). Example: "45aa52f387871e3a210645d4" Example: "45aa52f387871e3a210645d4" - `merchant_reference2` (string) Used for storing merchant's internal order number or other reference. The value is available in the settlement files. (max 255 characters). Example: "45aa52f387871e3a210645d4" Example: "45aa52f387871e3a210645d4" - `started_at` (string) ISO 8601 datetime. The date and time when the order has been created. The format will be as follows: "yyyy-mm-ddThh:mm:ssZ" - `completed_at` (string) ISO 8601 datetime. The date and time when the order has been completed. The format will be as follows: "yyyy-mm-ddThh:mm:ssZ" - `last_modified_at` (string) ISO 8601 datetime. The date and time when the order was last modified. The format will be as follows: "yyyy-mm-ddThh:mm:ssZ" - `options` (object) - `options.require_validate_callback_success` (boolean) If true, validate callback must get a positive response to not stop purchase. Default: false. - `options.acquiring_channel` (string) Acquiring channel for the order. The possible values are: ECOMMERCE for "E-commerce"IN_STORE for "Purchase in boutique"Default : ECOMMERCE - `options.vat_removed` (boolean) If true, VAT is not displayed in Checkout's Order Summary page. - `options.allow_separate_shipping_address` (boolean) If true, the consumer can enter different billing and shipping addresses. Default: false, except for purchase_country DE where default is: true - `options.color_button` (string) Color for the buttons within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.color_button_text` (string) Color for the text inside the buttons within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.color_checkbox` (string) Color for the checkboxes within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.color_checkbox_checkmark` (string) Color for the checkboxes checkmark within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.color_header` (string) Color for the headers within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.color_link` (string) Color for the hyperlinks within the iFrame. Value should be a CSS hex color, e.g. "#FF9900" Example: "#FF9900" - `options.date_of_birth_mandatory` (boolean) If true, the consumer cannot skip date of birth. Default: false - `options.shipping_details` (string) A message that will be presented on the confirmation page under the headline "Delivery" (max 255 characters). Example: "Delivered within 1-3 working days" - `options.title_mandatory` (boolean) If specified to false, title becomes optional. Only available for orders for country GB. - `options.additional_checkbox` (object) - `options.additional_checkbox.text` (string, required) Text that will be displayed to the consumer aside the checkbox. Links and formatting can be added using Markdown. (max 1000 characters) Example: "Please add me to the newsletter list, read more here \\[link\\](http://www.google.com)" - `options.additional_checkbox.checked` (boolean, required) Default state of the additional checkbox. It will use this value when loaded for the first time. - `options.additional_checkbox.required` (boolean, required) Whether it is required for the consumer to check the additional checkbox box or not in order to complete the purchase. - `options.national_identification_number_mandatory` (boolean) If true, the user cannot skip national identification number in SE, NO, FI and DK. Default: false. In order to read the national identification number in the validation callback, please contact Kustom's merchant support. - `options.additional_merchant_terms` (string) Additional merchant defined field. e.g. Extra terms and conditions to show. Example: "ADDITIONAL MERCHANT TERMS! \[terms link\](https://merchant.com/extra_terms)" - `options.phone_mandatory` (boolean) If false, the consumer can skip the phone. Only available for orders in DACH countries. - `options.radius_border` (string) Radius for the border of elements within the iFrame. Example: "5" - `options.allowed_customer_types` (array) A list of allowed customer types. Supported types: person & organization. Example: ["person","organization"] - `options.show_subtotal_detail` (boolean) If true, the Order Detail subtotals view is expanded when the Kustom Checkout iFrame is loaded. Default: false - `options.additional_checkboxes` (array) - `options.additional_checkboxes.id` (string, required) Identifier used when presenting data back to merchant Example: "newsletter_opt_in" - `options.verify_national_identification_number` (boolean) Enable verification of National Identification Numbers only in Sweden and Norway. This option also make the national identification number mandatory. (Not applicable for countries outside of Sweden and Norway) - `options.auto_capture` (boolean) Allow merchant to trigger auto capturing. - `options.require_client_validation` (boolean) If true, a client side validation is needed to complete the purchase - `options.enable_discount_module` (boolean) Enables the inline discount module - `options.show_vat_registration_number_field` (boolean) If true, a optional VAT registration number field will be shown in the address form. Only applies for b2b orders. - `attachment` (object) - `attachment.body` (string, required) The content of the extra merchant data which should be presented as a string inside this property. The body should be an object containing any of the keys and sub objects described below serialised to JSON. More information on that object can be found [here](./api-basics/extra-merchant-data.md). Example: "{\"hotel_reservation_details\": [{\"pnr\": \"VH67899\",\"hotel_intinerary\": [{\"hotel_name\": \"Hotel ltd.\",\"address\": {\"street_address\": \"Storgatan 3\",\"postal_code\": \"113 35\",\"city\": \"Stockholm\",\"country\": \"Sweden\"},\"start_time\": \"2019-01-31T15:00:00Z\",\"end_time\": \"2019-01-31T15:30:00Z\",\"number_of_rooms\": 2,\"ticket_delivery_method\": \"email\",\"ticket_delivery_recipient\": \"jonas.larlsson@kustom.com\",\"hotel_price\": 23050,\"class\": \"Business\",\"passenger_id\": [1]}],\"passengers\": [{\"id\": 1,\"title\": \"mr\",\"first_name\": \"Adam\",\"last_name\": \"Adamson\"}],\"insurance\": [{\"insurance_company\": \"Insurance Company X\",\"insurance_type\": \"travel\",\"insurance_price\": 0}],\"affiliate_name\": \"TradeMaxi AB\"}],\"air_reservation_details\": [{\"pnr\": \"VH67899\",\"intinerary\": [{\"departure\": \"ARN\",\"departure_city\": \"Stockholm\",\"arrival\": \"NCE\",\"arrival_city\": \"Nice\",\"carrier\": \"SK\",\"segment_price\": 34000,\"departure_date\": \"2019-01-30T15:00:00Z\",\"ticket_delivery_method\": \"email\",\"ticket_delivery_recipient\": \"jonas.larlsson@kustom.com\",\"passenger_id\": [1]}],\"passengers\": [{\"id\": 1,\"title\": \"mr\",\"first_name\": \"Adam\",\"last_name\": \"Adamson\"}],\"insurance\": [{\"insurance_company\": \"Insurance Company X\",\"insurance_type\": \"travel\",\"insurance_price\": 0}],\"affiliate_name\": \"TradeMaxi AB\"}],\"customer_account_info\": [{\"unique_account_identifier\": \"12345\",\"account_registration_date\": \"2016-01-24T15:00:00Z\",\"account_last_modified\": \"2017-01-24T15:00:00Z\"}],\"payment_history_full\": [{\"payment_option\": \"card\",\"number_paid_purchases\": 2,\"total_amount_paid_purchases\": 1234,\"date_of_last_paid_purchase\": \"2018-01-24T15:00:00Z\",\"date_of_first_paid_purchase\": \"2018-01-24T15:00:00Z\"}]}" - `attachment.content_type` (string, required) The content type of the body. It is usually represented as "application/vnd.klarna.internal.emd-v2+json" Example: "application/vnd.klarna.internal.emd-v2+json" - `external_payment_methods` (array) List of external payment methods that will be displayed as part of payment methods in the checkout. - `external_payment_methods.name` (string, required) The name of the payment provider. (max 255 characters) Example: "PayhereUs" - `external_payment_methods.fee` (integer) Minor units. Includes tax. - `external_payment_methods.description` (string) Short description of the payment method. This is displayed below the selected payment method. (max 500 characters) Example: "an American company operating a worldwide online payments system" - `external_payment_methods.countries` (array) If specified, limits the method to the listed countries (alpha 2 codes). - `external_payment_methods.label` (string) Controls label of buy buttoncontinuecomplete Example: "continue" - `external_payment_methods.redirect_url` (string, required) URL to redirect to. (must be https, min 7, max 2000 characters) Example: "https://www.example.com/us/start" - `external_payment_methods.image_url` (string) URL to an image to display. (must be https, max 2000 characters) Example: "https://www.exampleobjects.com/product-image-1200x1200.jpg" - `external_checkouts` (array) List of external checkouts that will be displayed as part of payment methods in the checkout. The image_url is required, and the image size has to be 276x48px - `shipping_countries` (array) List of allowed shipping countries for this order in ISO-3166 alpha-2 format. If specified, the customer will be able to change the shipping country in the checkout and you will be notified through ‘address_update’ callback or the ‘shipping_address_change’ javascript event. If not specified then the default value will be the purchase country. Example: look at billing_countries example. - `shipping_options` (array) A list of shipping options available for this order. - `shipping_options.id` (string, required) id Example: "express_priority" - `shipping_options.name` (string, required) Name. Example: "EXPRESS 1-2 Days" - `shipping_options.description` (string) Description. Example: "Delivery by 4:30 pm" - `shipping_options.promo` (string) Promotion name. To be used if this shipping option is promotional. Example: "Christmas Promotion" - `shipping_options.price` (integer, required) Price including tax. - `shipping_options.preselected` (boolean) If true, this option will be preselected when checkout loads. Default: false - `shipping_options.tax_amount` (integer, required) Tax amount. - `shipping_options.tax_rate` (integer, required) Non-negative. In percent, two implicit decimals. I.e 2500 = 25%. - `shipping_options.shipping_method` (string) Shipping method. Possible values:PickUpStoreHomeBoxRegBoxUnregPickUpPointOwnPostalDHLPackstationDigital If DHLPackstation is selected the correct form will be displayed. Example: "PickUpStore" - `shipping_options.delivery_details` (object) - `shipping_options.delivery_details.carrier` (string) Carrier product name - `shipping_options.delivery_details.class` (string) Type of shipping class - `shipping_options.delivery_details.product` (object) - `shipping_options.delivery_details.product.name` (string) Carrier product name - `shipping_options.delivery_details.product.identifier` (string) Carrier product identifier - `shipping_options.delivery_details.timeslot` (object) - `shipping_options.delivery_details.timeslot.id` (string) Id - `shipping_options.delivery_details.timeslot.start` (string) Start time - `shipping_options.delivery_details.timeslot.end` (string) End time - `shipping_options.delivery_details.pickup_location` (object) - `shipping_options.delivery_details.pickup_location.name` (string) Name of the location - `shipping_options.delivery_details.pickup_location.address` (object) - `shipping_options.tms_reference` (string) TMS reference. Required to map completed orders to shipments reserved in TMS. Example: "a1b2c3d4-e4f6-g7h8-i9j0-k1l2m3n4o5p6" - `shipping_options.selected_addons` (array) - `shipping_options.selected_addons.type` (string) - `shipping_options.selected_addons.price` (integer) - `shipping_options.selected_addons.external_id` (string) - `shipping_options.selected_addons.user_input` (string) - `merchant_data` (string) Pass through field to send any information about the order to be used later for reference while retrieving the order details (max 6000 characters). Example: "{\"marketplace_seller_info\":[{\"product_category\":\"Women's Fashion\",\"product_name\":\"Women Sweatshirt\"}]}" - `gui` (object) - `gui.options` (array) An array of options to define the checkout behaviour. Supported options: minimal_confirmation. The gui object is an array of options to modify checkout client ui behaviours. Examples: ["minimal_confirmation"] - `merchant_requested` (object) - `merchant_requested.additional_checkbox` (boolean) Informs whether the additional_checkbox is checked or not, when applicable. - `merchant_requested.additional_checkboxes` (array) Informs whether the additional_checkboxes is checked or not, when applicable. - `merchant_requested.additional_checkboxes.id` (string) - `merchant_requested.additional_checkboxes.checked` (boolean) - `selected_shipping_option` (object) - `recurring` (boolean) Indicates whether this purchase will create a token that can be used by the merchant to create recurring purchases. This must be enabled for the merchant to use. Default: false Depending on specified country, recurring could be used for the following payment methods: Pay Later, Direct Debit, Card. - `recurring_token` (string) Token to be used when creating recurring orders. - `recurring_description` (string) Description to be added to the recurring order. - `billing_countries` (array) List of allowed billing countries for this order. If specified, the customer will be able to change the billing country in the checkout and you will be notified through ‘country_change’ callback or the ‘billing_address_change’ javascript event. If not specified but shipping_countries is specified, will use same values as shipping_countries. If not specified and shipping_countries is not specified, then the default value will be the purchase country. Example: ["AD", "AE", "AG", "AI", "AL", "AM", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BW", "BY", "BZ", "CA", "CF", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GR", "GS", "GT", "GU", "GY", "HK", "HN", "HR", "HU", "ID", "IE", "IL", "IM", "IN", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KI", "KM", "KN", "KR", "KW", "KY", "KZ", "LA", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SR", "ST", "SV", "SX", "SZ", "TC", "TF", "TG", "TH", "TJ", "TK", "TL", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YT", "ZA", "ZM", "ZW"]" - `tags` (array) Extra information added to the order. Example: ["dangerous_goods", "bulky"] - `discount_lines` (array) List of discounts applied to this order via the KCO discount-service - `discount_lines.name` (string, required) Descriptive name of discount Example: "Super deal" - `discount_lines.quantity` (integer, required) Non-negative number. Quantity of the discount line item. Example: 5 - `discount_lines.unit_price` (integer, required) Minor units. Includes tax, excludes discount. (Must be non-positive). Example: -100 Euros should be -10000. Example: -10000 - `discount_lines.total_amount` (integer, required) Minor units. Includes tax and discount. Example: -25 euros should be -2500 Value = (quantity x unit_price). (Must be non-positive) Example: -2500 - `discount_lines.total_tax_amount` (integer, required) Must be within ±1 of total_amount - total_amount \* 10000 / (10000 + tax_rate). Should be non-positive Example: -123 - `discount_lines.reference` (string) The CRM reference to the gift-card that was entered by the user Example: "645f54bb-dbb7-6e1f-83bd-bc81a2c3a258" - `discount_lines.merchant_data` (string) The gift-card number that was entered by the user Example: "{\"card_number\":\"5551234567890\"}" ## Response 403 fields ## Response 404 fields